## kf6-kholidays 6.19.0

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

find_package(Qt6Test CONFIG REQUIRED)

########### next target ###############

add_executable(testlunar testlunar.cpp testlunar.h)
add_test(NAME testlunar COMMAND testlunar)
ecm_mark_as_test(testlunar)
target_link_libraries(testlunar KF6Holidays Qt6::Test)

########### next target ###############

add_executable(testseasons testseasons.cpp testseasons.h)
add_test(NAME testseasons COMMAND testseasons)
ecm_mark_as_test(testseasons)
target_link_libraries(testseasons KF6Holidays Qt6::Test)

########### next target ###############

add_executable(testsunriseset testsunriseset.cpp testsunriseset.h)
add_test(NAME testsunriseset COMMAND testsunriseset)
ecm_mark_as_test(testsunriseset)
target_link_libraries(testsunriseset KF6Holidays Qt6::Test)

########### next target ###############

add_executable(testzodiac testzodiac.cpp)
add_test(NAME testzodiac COMMAND testzodiac)
ecm_mark_as_test(testzodiac)
target_link_libraries(testzodiac KF6Holidays Qt6::Test)

########### next target ###############

add_executable(testholidayregion testholidayregion.cpp testholidayregion.h)
add_test(NAME testholidayregion COMMAND testholidayregion)
set_target_properties(testholidayregion PROPERTIES COMPILE_FLAGS -DKDESRCDIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/\\"")

ecm_mark_as_test(testholidayregion)
target_link_libraries(testholidayregion KF6Holidays Qt6::Test)

########### next target ###############

add_executable(testsunevents testsunevents.cpp testsunevents.h)
add_test(NAME testsunevents COMMAND testsunevents)
ecm_mark_as_test(testsunevents)
target_link_libraries(testsunevents KF6Holidays Qt6::Test)

=== debian/changelog ===
kf6-kholidays (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:05:52 +0100

=== debian/control ===
Source: kf6-kholidays
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 6.19.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kholidays
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kholidays
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kholidays
Rules-Requires-Root: no

Package: libkf6holidays-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf6holidays-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6holidays6 (= ${binary:Version}),
         qml6-module-org-kde-kholidays (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6holidays-doc (= ${source:Version}),
Description: holidays calculation library - development files
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the development files.

Package: libkf6holidays-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: holidays calculation library (documentation)
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the qch documentation files.

Package: libkf6holidays6
Architecture: any
Multi-Arch: same
Depends: libkf6holidays-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: qml6-module-org-kde-kholidays
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: holidays calculation library - qml files
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the QML module.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kholidays-([\d.]+).tar.xz

## kf6-kholidays 6.19.0+p24.04+vstable+git20251015.0815

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.20.0")
project(KHolidays VERSION ${KF_VERSION})

find_package(ECM 6.19.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_AUTORCC ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMPoQmTools)
include(FeatureSummary)
include(ECMCoverageOption)
include(ECMQtDeclareLoggingCategory)
include(KDEGitCommitHooks)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)
include(ECMQmlModule)
include(ECMGenerateQDoc)

set(KHOLIDAYS_LIB_VERSION ${KF_VERSION})
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(kholidays_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kholidays_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KHOLIDAYS
                        VERSION_HEADER "${kholidays_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6HolidaysConfigVersion.cmake"
                        SOVERSION 6
)

########### Find packages ###########
set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
ecm_set_disabled_deprecation_versions(
    QT 6.10
)

########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

ecm_install_po_files_as_qm(poqm)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Holidays")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6HolidaysConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6HolidaysConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6HolidaysConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6HolidaysConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6HolidaysTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6HolidaysTargets.cmake NAMESPACE KF6::)

install(FILES
  ${kholidays_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KHolidays COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kholidays (6.19.0+p24.04+vstable+git20251015.0815-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:15:36 +0000

kf6-kholidays (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:57:33 +0000

## kf6-kholidays 6.19.0+p24.04+vstable+git20251019.0047

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 )
 
 ########### Find packages ###########
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml)
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)

=== debian/changelog ===
kf6-kholidays (6.19.0+p24.04+vstable+git20251019.0047-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:47:15 +0000

=== debian/control ===
Source: kf6-kholidays
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://api.kde.org/frameworks/kholidays/html/index.html
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kholidays.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kholidays
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kholidays
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base, qt6-declarative, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6holidays-data, libkf6holidays6, qml6-module-org-kde-kholidays
Description: Holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kf6-kholidays-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kholidays (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6holidays-dev, libkf6holidays-doc
Description: Holidays calculation library - development files
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the development files.

Package: libkf6holidays-data
Architecture: all
Depends: kf6-kholidays, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6holidays-doc
Architecture: all
Depends: kf6-kholidays-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6holidays6
Architecture: all
Depends: kf6-kholidays, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kholidays
Architecture: all
Depends: kf6-kholidays, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6holidays-dev
Architecture: all
Depends: kf6-kholidays-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kholidays 6.19.0+p24.04+vstable+git20251023.0055

=== debian/changelog ===
kf6-kholidays (6.19.0+p24.04+vstable+git20251023.0055-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 00:55:20 +0000

## kf6-kholidays 6.19.0+p24.04+vunstable+git20251009.0323

=== debian/changelog ===
kf6-kholidays (6.19.0+p24.04+vunstable+git20251009.0323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 03:23:26 +0000

## kf6-kholidays 6.19.0+p24.04+vunstable+git20251015.0923

=== debian/changelog ===
kf6-kholidays (6.19.0+p24.04+vunstable+git20251015.0923-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:23:18 +0000

## kf6-kholidays 6.19.0+p24.04+vunstable+git20251020.0159

=== debian/changelog ===
kf6-kholidays (6.19.0+p24.04+vunstable+git20251020.0159-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:59:59 +0000

## kf6-kholidays 6.19.0+p24.04+vunstable+git20251021.0329

=== debian/changelog ===
kf6-kholidays (6.19.0+p24.04+vunstable+git20251021.0329-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:29:59 +0000

## kf6-kholidays 6.19.0+p24.04+vunstable+git20251111.0319

=== debian/changelog ===
kf6-kholidays (6.19.0+p24.04+vunstable+git20251111.0319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:19:56 +0000

## kf6-kholidays 6.20.0

=== debian/changelog ===
kf6-kholidays (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:12:33 +0100

=== debian/control ===
Source: kf6-kholidays
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 6.20.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kholidays
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kholidays
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kholidays.git
Rules-Requires-Root: no

Package: libkf6holidays-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf6holidays-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6holidays6 (= ${binary:Version}),
         qml6-module-org-kde-kholidays (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6holidays-doc (= ${source:Version}),
Description: holidays calculation library - development files
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the development files.

Package: libkf6holidays-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: holidays calculation library (documentation)
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the qch documentation files.

Package: libkf6holidays6
Architecture: any
Multi-Arch: same
Depends: libkf6holidays-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: qml6-module-org-kde-kholidays
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: holidays calculation library - qml files
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the QML module.

## kf6-kholidays 6.20.0+p24.04+vunstable+git20251122.0631

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0")
+set(KF_VERSION "6.21.0")
 project(KHolidays VERSION ${KF_VERSION})
 
-find_package(ECM 6.19.0 REQUIRED NO_MODULE)
+find_package(ECM 6.20.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_AUTORCC ON)

=== debian/changelog ===
kf6-kholidays (6.20.0+p24.04+vunstable+git20251122.0631-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 06:31:49 +0000

kf6-kholidays (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:50 +1000

## kf6-kholidays 6.21.0

=== debian/changelog ===
kf6-kholidays (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:51:19 +0000

kf6-kholidays (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:14:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kholidays
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -10,14 +11,14 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.20.0~),
-               qt6-base-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+               extra-cmake-modules (>= 6.21.0~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kholidays
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kholidays
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kholidays.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kholidays
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kholidays
 Rules-Requires-Root: no
 
 Package: libkf6holidays-data
@@ -36,7 +37,7 @@
 Multi-Arch: same
 Depends: libkf6holidays6 (= ${binary:Version}),
          qml6-module-org-kde-kholidays (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6holidays-doc (= ${source:Version}),
 Description: holidays calculation library - development files
@@ -69,9 +70,7 @@
  This package is part of the KDE Development Platform PIM libraries module.
 
 Package: qml6-module-org-kde-kholidays
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Architecture: any
 Multi-Arch: same
 Description: holidays calculation library - qml files

## kf6-kholidays 6.21.0+p24.04+vstable+git20251223.0109

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0")
+set(KF_VERSION "6.22.0")
 project(KHolidays VERSION ${KF_VERSION})
 
-find_package(ECM 6.20.0 REQUIRED NO_MODULE)
+find_package(ECM 6.21.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_AUTORCC ON)
 
@@ -41,7 +41,7 @@
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
 ecm_set_disabled_deprecation_versions(
-    QT 6.10
+    QT 6.11
 )
 
 ########### Targets ###########

## kf6-kholidays 6.21.0+p24.04+vstable+git20260102.1107

=== debian/changelog ===
kf6-kholidays (6.21.0+p24.04+vstable+git20260102.1107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:07:35 +0000

kf6-kholidays (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:12:21 +1000

## kf6-kholidays 6.21.0+p24.04+vstable+git20260103.0151

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0")
+set(KF_VERSION "6.23.0")
 project(KHolidays VERSION ${KF_VERSION})
 
-find_package(ECM 6.21.0 REQUIRED NO_MODULE)
+find_package(ECM 6.22.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_AUTORCC ON)

## kf6-kholidays 6.21.0+p24.04+vunstable+git20251207.0530

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.23.0")
+set(KF_VERSION "6.22.0")
 project(KHolidays VERSION ${KF_VERSION})
 
-find_package(ECM 6.22.0 REQUIRED NO_MODULE)
+find_package(ECM 6.21.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_AUTORCC ON)
 
@@ -41,7 +41,7 @@
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
 ecm_set_disabled_deprecation_versions(
-    QT 6.11
+    QT 6.10
 )
 
 ########### Targets ###########

=== debian/changelog ===
kf6-kholidays (6.21.0+p24.04+vunstable+git20251207.0530-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 05:30:11 +0000

## kf6-kholidays 6.22.0

=== debian/changelog ===
kf6-kholidays (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:30:29 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-declarative-dev (>= 6.8.0+dfsg~),
                qt6-tools-dev (>= 6.8.0~),

## kf6-kholidays 6.22.0+p24.04+vstable+git20260106.0802

=== debian/changelog ===
kf6-kholidays (6.22.0+p24.04+vstable+git20260106.0802-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 08:02:39 +0000

kf6-kholidays (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:43:54 +1000

## kf6-kholidays 6.22.0+p24.04+vstable+git20260122.1233

=== debian/changelog ===
kf6-kholidays (6.22.0+p24.04+vstable+git20260122.1233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:33:20 +0000

## kf6-kholidays 6.22.0+p24.04+vstable+git20260126.0634

=== debian/changelog ===
kf6-kholidays (6.22.0+p24.04+vstable+git20260126.0634-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 06:34:12 +0000

## kf6-kholidays 6.22.0+p24.04+vunstable+git20260129.0245

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0")
+set(KF_VERSION "6.23.0")
 project(KHolidays VERSION ${KF_VERSION})
 
-find_package(ECM 6.21.0 REQUIRED NO_MODULE)
+find_package(ECM 6.22.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_AUTORCC ON)
 
@@ -41,7 +41,7 @@
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
 ecm_set_disabled_deprecation_versions(
-    QT 6.10
+    QT 6.11
 )
 
 ########### Targets ###########

=== debian/changelog ===
kf6-kholidays (6.22.0+p24.04+vunstable+git20260129.0245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:45:29 +0000

## kf6-kholidays 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set(KF_VERSION "6.23.0")
 project(KHolidays VERSION ${KF_VERSION})
 
-find_package(ECM 6.22.0 REQUIRED NO_MODULE)
+find_package(ECM 6.23.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_AUTORCC ON)

=== debian/changelog ===
kf6-kholidays (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:46:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,22 @@
 Source: kf6-kholidays
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.27~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.22.0~),
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-tools-dev (>= 6.8.0~),
-Standards-Version: 4.7.0
+               extra-cmake-modules (>= 6.23.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.5.0~),
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/kholidays
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kholidays
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kholidays
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kholidays
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kholidays.git
 
 Package: libkf6holidays-data
 Architecture: all
@@ -37,7 +34,7 @@
 Multi-Arch: same
 Depends: libkf6holidays6 (= ${binary:Version}),
          qml6-module-org-kde-kholidays (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6holidays-doc (= ${source:Version}),
 Description: holidays calculation library - development files
@@ -70,7 +67,9 @@
  This package is part of the KDE Development Platform PIM libraries module.
 
 Package: qml6-module-org-kde-kholidays
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Architecture: any
 Multi-Arch: same
 Description: holidays calculation library - qml files
